Subject: Re: [PATCH 3/3] First cut at PReP support for arch/powerpc

From: Segher Boessenkool <[email-masked]>
Date: Mon, 2 Jul 2007 13:51:42 +0200

>> +			external-control;
>>
>> Really?
>
> Well, is anybody actually using eciwx/ecowx?

That's not the point -- the device tree should only
say "external-control" if the CPU actually supports
it; AFAIK, that's 601 only.

>> +	pci@80000000 {
>> +		device_type = "pci";
>> +		compatible = "prep";
>>
>> Is that specific enough?
>
> On the MVME5100, actually the mapping is more CHRP like, and PCI I/O
> space is smaller and at a higher address.

Right, so it's not; "compatible" should specify the
model of PCI host bridge, instead.

>> What is the plan here -- have the bootwrapper build the
>> device tree / fill in the details from the residual data?
>
> I think so.

Right, good.  What's the way forward then -- David, rename
this DTS file to <board name>.dts so you have something to
boot, and at the same time work on the bootwrapper?

>  I might have some time to try a more recent kernel
> on MVME2400/2600 boards next week.

Great!

Segher